using System;
using gaemstone.ECS;
using static gaemstone.Bloxel.Components.CoreComponents;
using static gaemstone.Flecs.Core;

namespace Immersion;

[Module]
[DependsOn<gaemstone.Bloxel.Components.CoreComponents>]
[DependsOn<gaemstone.Client.Components.RenderingComponents>]
public partial class ObserverTest
{
	[Observer<OnSet>]
	[Expression("[in] Chunk, [none] (MeshHandle, *)")]
	public static void DoObserver(in Chunk chunk)
		=> Console.WriteLine($"Chunk at {chunk.Position} now has a Mesh!");
}
