using gaemstone.ECS;

namespace gaemstone.Bloxel.Components;

[Module]
public partial class CoreComponents
{
	[Component, Symbol]
	public readonly struct Chunk
	{
		public ChunkPos Position { get; }
		public Chunk(ChunkPos pos) => Position = pos;
	}

	[Component, Symbol]
	public class ChunkStoreBlocks
		: ChunkPaletteStorage<Entity>
	{
		public ChunkStoreBlocks()
			: base(default) {  }
	}
}
