using gaemstone.Client.Utility;
using gaemstone.ECS;
using ImGuiNET;
using static gaemstone.Client.Systems.ImGuiManager;

namespace gaemstone.Client.Systems;

[Module]
[DependsOn<gaemstone.Client.Systems.ImGuiManager>]
public partial class ImGuiDemoWindow
{
	private static bool _isOpen = false;

	[System]
	public static void Show(ImGuiData _)
	{
		if (ImGuiUtility.UIButtonToggle(2, ForkAwesome.WindowMaximize, "ImGui Demo Window", ref _isOpen))
			ImGui.ShowDemoWindow(ref _isOpen);
	}
}
