namespace gaemstone.Bloxel;

public static class Constants
{
	// <summary> Amount of bit shifting to go from a BlockPos to a ChunkPos. </summary>
	public const int ChunkBitShift = 4;
	// <summary> Amount of bit masking to go from a BlockPos to a chunk-relative BlockPos. </summary>
	public const int ChunkBitMask = ~(~0 << ChunkBitShift);
	// <summary> Length of the egde of a world chunk. </summary>
	public const int ChunkLength = 1 << ChunkBitShift;
}
