using System.Numerics;
using gaemstone.ECS;

namespace gaemstone.Components;

[Module]
public partial class TransformComponents
{
	[Component, Symbol]
	public struct GlobalTransform
	{
		public Matrix4x4 Value;
		public GlobalTransform(Matrix4x4 value) => Value = value;
		public static implicit operator GlobalTransform(in Matrix4x4 value) => new(value);
		public static implicit operator Matrix4x4(in GlobalTransform index) => index.Value;
	}
}
